Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 904834 - dev-python/PyQt5-5.15.7 with dev-python/sip-6.7.7: 'Q_PID' is undefined
Summary: dev-python/PyQt5-5.15.7 with dev-python/sip-6.7.7: 'Q_PID' is undefined
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-04-22 22:33 UTC by Brian Evans
Modified: 2023-09-01 05:19 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (build.log,4.42 KB, text/plain)
2023-04-22 22:33 UTC, Brian Evans (RETIRED)
Details
Build log for PyQt5-5-15.7 and python 3.10 (PyQt5.build.log,3.04 KB, text/x-log)
2023-04-23 00:07 UTC, atosser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans (RETIRED) gentoo-dev 2023-04-22 22:33:55 UTC
Created attachment 860551 [details]
build log

Only fails on 3.11, works on 3.10.
Comment 1 atosser 2023-04-23 00:06:47 UTC
I experience this on 3.10 as well. Fresh install of PyQt5 et al.
Comment 2 atosser 2023-04-23 00:07:31 UTC
Created attachment 860554 [details]
Build log for PyQt5-5-15.7 and python 3.10
Comment 3 Ionen Wolkens gentoo-dev 2023-04-23 00:13:52 UTC
More specifically it seems to have broken with new stabilized sip-6.7.7, it works with dev-python/sip-6.7.5

PyQt5-5.15.9 is fine with the new, fwiw there's stablereq bug #904783 (not that I really tested it, I only use PyQt6 nowadays).
Comment 4 Bill B 2023-04-23 20:29:36 UTC
Works with 3.10, fails with 3.11
Comment 5 Ionen Wolkens gentoo-dev 2023-09-01 05:19:03 UTC
PyQt5-5.15.9 been stable for a while so I think this is obsolete.